%define upstream_name IO-Event
%define upstream_version 0.813

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Tied Filehandles for Nonblocking IO with Object Callbacks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz
# Fix a race in t/foked2.t test, bug #1105023, CPAN RT#92200
Patch0:         IO-Event-0.813-Fix-undeterministic-test-failures-in-t-forked2.t.patch

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Event)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Test::Simple)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%{?perl_default_filter}

%description
IO::Event provides a object-based callback system for handling
nonblocking IO. The design goal is to provide a system that just does
the right thing w/o the user needing to think about it much.

All APIs are kept as simple as possible yet at the same time, all
functionality is accessible if needed. Simple things are easy. Hard
things are possible.

Most of the time file handling syntax will work fine: "<$filehandle>"
and "print $filehandle 'stuff'".

IO::Event provides automatic buffering of output (with a callback to
throttle). It provides automatic line-at-a-time input.

After initial setup, call "IO::Event::loop()".

IO::Event was originally written to use Event. IO::Event still defaults
to using Event but it can now use AnyEvent or its own event loop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.813.0-13.mga9
+ Revision: 1804069
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.813.0-12.mga8
+ Revision: 1495109
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.813.0-11.mga7
+ Revision: 1268743
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.813.0-10.mga6
+ Revision: 1028676
- Rebuild for perl 5.22.2

* Fri Apr 22 2016 tv <tv> 0.813.0-9.mga6
+ Revision: 1004572
- fix a race in t/foked2.t test (rhbz#1105023)

* Sat Feb 06 2016 umeabot <umeabot> 0.813.0-8.mga6
+ Revision: 940708
- Mageia 6 Mass Rebuild
+ shlomif <shlomif>
- Remove a circular BR on self which was unnecessary.

* Wed Oct 15 2014 umeabot <umeabot> 0.813.0-6.mga5
+ Revision: 742224
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.813.0-5.mga5
+ Revision: 732300
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Fri Jan 10 2014 dmorgan <dmorgan> 0.813.0-3.mga4
+ Revision: 566154
- Add missing buildrequire for forked2.t

* Sun Oct 20 2013 umeabot <umeabot> 0.813.0-2.mga4
+ Revision: 536776
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 0.813.0-1.mga4
+ Revision: 485568
- update to 0.813

* Sat Aug 03 2013 sander85 <sander85> 0.812.0-1.mga4
+ Revision: 463010
- imported package perl-IO-Event

